<flashs>
		<flash>
			<id1>0xAD</id1>
			<id2>0x76</id2>
			<name>HY27U518</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xAD</id1>
			<id2>0x75</id2>
			<name>HY27US08561A</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xEC</id1>
			<id2>0xAA</id2>
			<name>K9F2G08R0A</name>
			<size>0x10800000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xEC</id1>
			<id2>0xDA</id2>
			<id3>0x10</id3>
			<id4>0x95</id4>
			<name>K9F2G08U0B</name>
			<size>0x10800000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xEC</id1>
			<id2>0x75</id2>
			<id3>0xA5</id3>
			<id4>0xBD</id4>
			<name>K9F5608D0D</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xEC</id1>
			<id2>0x76</id2>
			<name>K9F1208U0B</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x39</id2>
			<name>NAND01GR3A</name>
			<size>0x8400000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>8192</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x49</id2>
			<name>NAND01GR4A</name>
			<size>0x8400000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>8192</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x79</id2>
			<name>NAND01GW3A</name>
			<size>0x8400000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>8192</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x59</id2>
			<name>NAND01GW4A</name>
			<size>0x8400000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>8192</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x33</id2>
			<name>NAND128R3A</name>
			<size>0x1080000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x43</id2>
			<name>NAND128R4A</name>
			<size>0x1080000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x73</id2>
			<name>NAND128W3A</name>
			<size>0x1080000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x53</id2>
			<name>NAND128W4A</name>
			<size>0x1080000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x35</id2>
			<name>NAND256R3A</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x45</id2>
			<name>NAND256R4A</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x75</id2>
			<name>NAND256W3A</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x55</id2>
			<name>NAND256W4A</name>
			<size>0x2100000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x36</id2>
			<name>NAND512R3A</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x46</id2>
			<name>NAND512R4A</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x76</id2>
			<name>NAND512W3A</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>10</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x20</id1>
			<id2>0x56</id2>
			<name>NAND512W4A</name>
			<size>0x4200000</size>
			<pagesize>0x210</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x4200</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xAD</id1>
			<id2>0xF1</id2>
			<id3>0x00</id3>
			<id4>0x1D</id4>
			<name>H27U1G8F2B</name>
			<size>0x8400000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x1</id1>
			<id2>0xDA</id2>
			<id3>0x90</id3>
			<id4>0x95</id4>
			<id5>0x44</id5>
			<name>S34ML02G100TF100</name>
			<size>0x10800000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xc2</id1>
			<id2>0xDA</id2>
			<id3>0x90</id3>
			<id4>0x95</id4>
			<id5>0x06</id5>
			<name>MX30LF2G18AC</name>
			<size>0x10800000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>2048</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x98</id1>
			<id2>0xF1</id2>
			<id3>0x80</id3>
			<id4>0x15</id4>
			<name>TC58NVG0S3HTAI0</name>
			<size>0x8800000</size>
			<pagesize>0x880</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x22000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xc2</id1>
			<id2>0xF1</id2>
			<id3>0x80</id3>
			<id4>0x95</id4>
			<name>MX30LF1G18AC</name>
			<size>0x8400000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0xec</id1>
			<id2>0xdc</id2>
			<id3>0x10</id3>
			<id4>0x95</id4>
			<name>F33N04G</name>
			<size>0x21000000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>4096</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
		<flash>
			<id1>0x2c</id1>
			<id2>0xA1</id2>
			<id3>0x80</id3>
			<id4>0x15</id4>
			<name>MT29F1G08ABBDA</name>
			<size>0x8400000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>		
		<flash>
			<id1>0x2c</id1>
			<id2>0xf1</id2>
			<id3>0x80</id3>
			<id4>0x95</id4>
			<name>MT29F1G08ABAEA</name>
			<size>0x8400000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>		
		<flash>
			<id1>0xEC</id1>
			<id2>0xA1</id2>
			<id3>0x00</id3>
			<id4>0x15</id4>
			<name>K9F1G08</name>
			<size>0x8400000</size>
			<pagesize>0x840</pagesize>
			<protocol>11</protocol>
			<block>
				<secnum>1024</secnum>
				<secsize>0x21000</secsize>
			</block>
		</flash>
</flashs>
